# $Revision: 1.35 $, $Date: 2011/08/31 09:15:46 $
Summary:	Software for managing Zen Nomad playlist
Summary(pl.UTF-8):	Oprogramowanie do zarządzania listą plików Zen Creative
Name:		gnomad2
Version:	2.9.6
Release:	2
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/gnomad2/%{name}-%{version}.tar.gz
# Source0-md5:	213bfee7d020aea092576b45691aba36
URL:		http://gnomad2.sourceforge.net/
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+2-devel >= 2.0
BuildRequires:	udev-glib-devel
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libid3tag-devel >= 0.15.1b-4
BuildRequires:	libmtp-devel >= 0.1.3
BuildRequires:	libnjb-devel >= 2.2.4
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnomad 2 is a GUI built on top of GTK+/GNOME 2, libid3tag and libnjb
that makes it possible to transfer tracks and files from/to a Creative
Nomad Jukebox (all brands). It is designed much like an ordinary
graphical FTP program.

%description -l pl.UTF-8
Gnomad 2 jest graficznym interfejsem użytkownika zbudowanym w oparciu
o biblioteki GTK+/GNOME, libid3tag oraz libnjb. Umożliwia przesyłanie
utworów z i do odtwarzacza Nomad Creative. Został zaprojektowany na
wzór zwykłego graficznego klienta FTP.

%prep
%setup -q

%build
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/libnjb"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/cs{_CZ,}

# unsupported by glibc (2.7)
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/sco

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/gnomad2.desktop
%{_pixmapsdir}/gnomad2*.png
%{_mandir}/man1/*
%{_datadir}/application-registry/gnomad2.applications

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomad2.spec,v $
Revision 1.35  2011/08/31 09:15:46  arekm
- release 2

Revision 1.34  2011/07/21 15:43:23  baggins
- removed desktop file and icon, use upstream

Revision 1.33  2011/07/21 15:42:26  baggins
- up to 2.9.6
- HAL support is gone, use gudev
- use desktop file and icon from distro

Revision 1.32  2011/01/23 14:17:35  sparky
- BR: gettext-devel, hal-devel, intltool, taglib-devel

Revision 1.31  2010/06/11 22:42:42  arvenil
- up to 2.9.4

Revision 1.30  2008/09/01 17:48:20  arekm
- up to 2.9.2

Revision 1.29  2008/09/01 13:48:34  arekm
- release 5

Revision 1.28  2008/08/27 22:15:19  glen
- release 4 (mtp soname)

Revision 1.27  2008/06/16 07:09:36  arekm
- rel 3

Revision 1.26  2008-04-09 06:59:11  ankry
- locale fixes, rel. 2

Revision 1.25  2008-04-08 19:31:49  glen
- locale todo

Revision 1.24  2008-03-02 19:27:48  wolvverine
- up to 2.9.1

Revision 1.23  2007-06-08 15:09:18  paszczus
- updated to 2.8.12

Revision 1.22  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.20  2007/02/08 22:25:42  glen
- typo

Revision 1.19  2007/02/05 08:57:53  adasi
- up to 2.8.11

Revision 1.18  2007/02/05 08:09:19  glen
- patch for new libmtp; rel 2

Revision 1.17  2006/09/27 17:09:17  paszczus
- updated to 2.8.9
- BR: libid3tag-devel >= 0.15.1b-4
- BR: libmtp-devel >= 0.0.20
- now everything should be ok ; STBR

Revision 1.16  2006/09/05 19:56:44  glen
- rel 2

Revision 1.15  2006/08/29 12:57:01  paszczus
- updated to 2.8.8

Revision 1.14  2006/07/29 11:09:57  paszczus
- updated to 2.8.6

Revision 1.13  2006/06/18 16:24:54  paszczus
- updated to 2.8.5
- removed Patch0 (applied in sources)
- rel 1

Revision 1.12  2006/05/09 11:42:56  qboosh
- use find_lang

Revision 1.11  2006/05/06 16:53:42  paszczus
- dropped gnomad2-libnjb.patch; using CC and CFLAGS

Revision 1.10  2006/05/06 16:38:58  paszczus
- updated gnomad2-libnjb.patch ; release 2

Revision 1.9  2006/05/06 16:19:30  paszczus
- updated to 2.8.3
- added BR: libmtp
- added patch to compile gnomad2 with libmtp 0.0.4 instead of 0.0.2

Revision 1.8  2006/05/06 07:37:19  paszczus
- added BR: perl-XML-Parser
- added missing lang and man files
- release 1

Revision 1.7  2006/05/05 14:06:12  paszczus
- BR: libnjb-devel >= 2.2.4

Revision 1.6  2006/05/05 11:44:06  paszczus
- updated to 2.8.2 ; rel 0.1

Revision 1.5  2005/03/15 07:28:26  qboosh
- .desktop and desc fixes, versions in BR

Revision 1.4  2005/03/14 15:54:24  megabajt
- fixed license, source0
- added libnjb patch
- missing BR
- fixed install source1 and source2
- other cosmetics
- release 3

Revision 1.3  2005/03/14 11:21:59  mick3y
- added .desktop && icon
- release 2

Revision 1.2  2005/03/14 00:58:29  mick3y
- description added

Revision 1.1  2005/03/14 00:30:20  mick3y
- initial version
- draft version
